{
  "main": "electron/main.js",
  "name": "pji-desktop",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "packager:windows": "electron-packager ./ App --platform=win32 --arch=x64 --overwrite",
    "packager:linux": "electron-packager ./ App --platform=linux -arch=x64 --overwrite",
    "dev:vue": "vite",
    "dev:electron": "electron .",
    "build": "run-p  \"build-only {@}\" --",
    "preview": "vite preview",
    "test:unit": "vitest",
    "build-only": "vite build",
    "type-check": "vue-tsc --build --force"
  },
  "dependencies": {
    "axios": "^1.7.2",
    "element-plus": "^2.7.5",
    "moment": "^2.30.1",
    "path-browserify": "^1.0.1",
    "pinia": "^2.1.7",
    "vue": "^3.4.21",
    "vue-router": "^4.3.0"
  },
  "devDependencies": {
    "@tsconfig/node20": "^20.1.4",
    "@types/jsdom": "^21.1.6",
    "@types/node": "^20.12.5",
    "@types/path-browserify": "^1.0.3",
    "@vitejs/plugin-vue": "^5.0.4",
    "@vitejs/plugin-vue-jsx": "^3.1.0",
    "@vue/test-utils": "^2.4.5",
    "@vue/tsconfig": "^0.5.1",
    "electron": "^31.0.1",
    "electron-packager": "^17.1.2",
    "jsdom": "^24.0.0",
    "npm-run-all2": "^6.1.2",
    "typescript": "~5.4.0",
    "vite": "^5.2.8",
    "vitest": "^1.4.0",
    "vue-tsc": "^2.0.11"
  }
}
